<div class="col-md-12">
    <hr>
    <h1>{{titulo}}</h1>
    <hr>

    <div class="alert alert-success" *ngIf="status == 'success'">
        Te has registrado correctamente, ahora puedes 
        <a routerLink="/login"> identificarte</a>
    </div>

    <div class="alert alert-danger" *ngIf="status == 'error'">
        No ha sido posible registrarte en la plataforma, intentalo mas tarde
    </div>

    <form *ngIf="status == null || status != 'success'" (ngSubmit)="onSubmit()" class="col-md-4">
        <p>
            <label>Nombre:</label>
            <input type="text" class="form-control" id="name" required  
            [(ngModel)]="user.name" name="name" #name="ngModel" />
            <span [hidden]="name.valid || name.pristine">El nombre es obligatorio</span>
        </p>

        <p>
            <label>Apellidos:</label>
            <input type="text" class="form-control" id="surname" required  
            [(ngModel)]="user.surname" name="surname" #surname="ngModel" />
            <span [hidden]="surname.valid || surname.pristine">El apellido es obligatorio</span>
        </p>
        
        <p>
            <label>Correo electrónico:</label>
            <input type="email" class="form-control" id="email" required  
            [(ngModel)]="user.email" name="email" #email="ngModel" />
            <span [hidden]="email.valid || email.pristine">El correo electrónico es obligatorio</span>
        </p>

        <p>
            <label>Contraseña:</label>
            <input type="password" class="form-control" id="password" required  
            [(ngModel)]="user.password" name="password" #password="ngModel" />
            <span [hidden]="password.valid || password.pristine">La  contraseña es obligatoria</span>
        </p>
       
        <input type="submit" value="Registrarse" class="btn btn-success" />
    </form>

</div>